Bug 827360 - Window server 2003 x86_64 guest BSOD after host machine with iSCSI storage driver converted to libvirt or RHEV
Window server 2003 x86_64 guest BSOD after host machine with iSCSI storage dr...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virt-p2v (Show other bugs)
6.3
Unspecified Unspecified
high Severity medium
: rc
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-01 04:40 EDT by Cui Lei
Modified: 2015-03-12 13:30 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-12 13:30:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
BSOD screen shot (174.29 KB, image/png)
2012-06-01 04:40 EDT, Cui Lei
no flags Details
p2v log (1.09 MB, text/x-log)
2012-06-01 04:47 EDT, Cui Lei
no flags Details
prev (2.02 KB, text/x-log)
2012-06-01 04:47 EDT, Cui Lei
no flags Details
virsh dumpxml log (1.09 MB, text/x-log)
2012-06-01 04:48 EDT, Cui Lei
no flags Details

  None (edit)
Description Cui Lei 2012-06-01 04:40:19 EDT
Created attachment 588357 [details]
BSOD screen shot

Description of problem:
Window2003 x86_64 guest BSOD after host machine with iSCSI storage driverconverted to libvirt.
Conversion is successful but the guest BSOD.
Windows 2003 on host boots normally.

Version-Release number of selected component (if applicable):
virt-p2v-0.8.6-5.20120502.1.el6.iso
virt-v2v-0.8.7-6.el6.x86_64
libguestfs-1.16.19-1.el6.x86_64
libvirt-0.9.10-20.el6.x86_64
augeas-0.9.0-4.el6.x86_64
febootstrap-3.12-1.el6.x86_64
hivex-1.3.3-4.el6.x86_64
libguestfs-winsupport-1.0-7.el6.x86_64
virtio-win-1.5.1-1.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1. Boot the source machine with virt-p2v from pxe,input the ip and password of conversion server,convert it to libvirt.
2. After convert successfully, boot the guest by virsh command or virt-manager.
3. Use virt-manager open the console.

Actual Results:
Guest BSOD, please refer to attached screen shot

Expected results:
Guest can load OS normally.

Additional info:
Windows server 2003 i386 do not have this issue.
Upload relative log:
# virt-inspector --perl  /home/p2v-lcui/lcui-iscsi-win2003-x86_64.img > lcui-iscsi-win2003-x86_64-prev_inspect.log
# virsh dumpxml lcui-iscsi-win2003-x86_64-re > lcui-iscsi-win2003-x86_64.log
Comment 1 Cui Lei 2012-06-01 04:47:21 EDT
Created attachment 588362 [details]
p2v log
Comment 2 Cui Lei 2012-06-01 04:47:55 EDT
Created attachment 588363 [details]
prev
Comment 3 Cui Lei 2012-06-01 04:48:39 EDT
Created attachment 588364 [details]
virsh dumpxml log
Comment 4 RHEL Product and Program Management 2012-12-14 02:32:35 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 6 Richard W.M. Jones 2015-03-12 13:30:01 EDT
I'm closing this bug:

 - virt-p2v has been rewritten for RHEL 7.2

 - Unofficial previews of the new version are available:
   http://oirase.annexia.org/virt-p2v/

 - If a similar bug occurs with the new version of virt-p2v,
   please open a new bug against Red Hat Enterprise Linux 7 / libguestfs

Note You need to log in before you can comment on or make changes to this bug.